Print Page | Close Window

WebGMaps on Android 4.1.1

Printed From: TMS Software
Category: FMX Components
Forum Name: FMX WebGMaps / WebOSMaps
Forum Discription:
URL: http://www.tmssoftware.com/site/forum/forum_posts.asp?TID=5864
Printed Date: 29 May 2020 at 10:32am


Topic: WebGMaps on Android 4.1.1
Posted By: Offergeld Sebastian
Subject: WebGMaps on Android 4.1.1
Date Posted: 05 Nov 2015 at 4:56pm
Hi there,

I have some trouble to get the GMaps Component running on a Android 4.1.1 Tablet. All the controls are visible, but not the map itself. StreetView works though. It is a blank app just with the GMaps Component. I also tested it on a Android 5.1.1 device - no probelms there.
I use the latest Version of your Component and Delphi X Seattle Professional.
Is there a way to solve this issue?

Kind regards
Sebastian



Replies:
Posted By: Pieter Scheldeman
Date Posted: 06 Nov 2015 at 10:41am
Hi, 

Are you using the latest version?

Kind Regards, 
Pieter


Posted By: Offergeld Sebastian
Date Posted: 06 Nov 2015 at 12:46pm
Yes, I downloaded and installed the latest WebGMaps version yesterday (1.9.5.2).


Posted By: Pieter Scheldeman
Date Posted: 06 Nov 2015 at 1:22pm
We are aware of some issues with older Android versions, we will investigate here what is going wrong as soon as possible.

Kind Regards, 
Pieter


Posted By: Offergeld Sebastian
Date Posted: 06 Nov 2015 at 1:56pm
great, thank you!


Posted By: Offergeld Sebastian
Date Posted: 11 Feb 2016 at 2:26pm
Hi there,

I have now the same problem with Android 4.2.2. All the controls are visible, but not the map itself. In this case I know that it worked before, but it doesn't work anymore. I use the latest version of your component and Delphi X Seattle Professional.

Am I missing something? Is there some kind of workaround available?

Kind regards
Sebastian


Posted By: Pieter Scheldeman
Date Posted: 12 Feb 2016 at 9:00am
Hi, 

We have been investigating this but haven't found a workaround. the map works starting from Android 4.3 so we can only assume this is an Android SDK compatibility issue. 

Kind Regards, 
Pieter


Posted By: Antoni Josep Hernandez-Casahuga
Date Posted: 11 Apr 2016 at 7:46am
Hi,

I've the same problem. 
I'm using last version of FMX Gmaps  on Android 4.3.
Any workaround?

Kind regards,

Toni H.





Posted By: Pieter Scheldeman
Date Posted: 11 Apr 2016 at 10:51am
I will take a look at this as soon as possible.


Posted By: Pieter Scheldeman
Date Posted: 15 Apr 2016 at 4:42pm
Do you have a device that runs on 5.0? Are you using the latest version?


Posted By: Antoni Josep Hernandez-Casahuga
Date Posted: 17 Apr 2016 at 10:51pm
Hi,

Yes, I'm using TMSFMXWebGMaps last version.
I'm developing in a device with Android 4.3 and it doesn't show base map.
Now, I've tested i a 5.1 Android device, and base map is shown.

It looks that component doesn't work well in old Android versions.
Can you check witch is the required minimum Android version ? 

Thanks,

Toni H.




Posted By: Pieter Scheldeman
Date Posted: 19 Apr 2016 at 9:13am
Hi, 

Our apologies for the inconvenience, the minimum Android version is 4.4.
We have tested this here on 4.4.2.



Print Page | Close Window